Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: ati  (gelezen 1245 keer)

Offline zappa

  • Lid
    • http://www.c3c.be
  • Steunpunt: Nee
ati
« Gepost op: 2006/03/18, 11:06:38 »
lsmod | grep fglrx
fglrx                 465864  0
agpgart                36784  1 fglrx

fglrxinfo
display: :0.0  screen: 0
OpenGL vendor string: Mesa project: www.mesa3d.org
OpenGL renderer string: Mesa GLX Indirect
OpenGL version string: 1.2 (1.5 Mesa 6.4.1)

fglrx als driver in xorg.conf

Hoe is dit mogelijk? Is het misschien onderstaande section die ik moet editeren?

Section "Module"
   Load   "bitmap"
   Load   "ddc"
   Load   "dri"
   Load   "extmod"
   Load   "freetype"
   Load   "glx"
   Load   "int10"
   Load   "type1"
   Load   "vbe"
EndSection

Offline Dennis Kaarsemaker

  • Administrator
    • dennis
    • http://www.kaarsemaker.net
  • Steunpunt: Nee
ati
« Reactie #1 Gepost op: 2006/03/18, 11:11:21 »
Zo moet-ie voor mijn ati ding:

Section "Module"
        #Load   "GLcore"
        #Load   "bitmap"
        Load    "ddc"
        Load    "dri"
        #Load   "extmod"
    SubSection "extmod"
        Option "omit xfree86-dga"
    EndSubSection
        Load    "freetype"
        Load    "glx"
        #Load   "int10"
        Load    "type1"
        Load    "vbe"
EndSection

Offline zappa

  • Lid
    • http://www.c3c.be
  • Steunpunt: Nee
ati
« Reactie #2 Gepost op: 2006/03/18, 11:33:33 »
Heel snel antwoord, maar dat doet het spijtig genoeg niet voor mij. Ik heb een X300 pci-e

Heb even mijn xorg.conf op de pastebin geplaatst.

http://paste.ubuntu-nl.org/10445

edit:

Werkt wel nog perfect in vorige kernel, de 2.6.15-17-686
Heb nu de 18, ligt daar dus aan. Zou het helpen om alles te verwijderen en daarna te herinstalleren? Wordt als een oplossing gegeven...
Anders skip ik de 18 wel even :)

edit:

Ja, dat hielp. xorg-driver-fglrx eraf en opnieuw erop. Hardware accelatration werkt terug :)

note: bizar toch. Vooral dat hij effectief heeft zitten downloaden, dus was er nieuw versie, is het normaal dat dit niet in een gewone apt-get upgrade meekomt?